CREATE TABLE Abteilung (
   AbtNr      INT NOT NULL AUTO_INCREMENT,
   Name       VARCHAR(30),
   PRIMARY KEY(AbtNr)
);

CREATE TABLE Mitarbeiter (
   MNr        INT NOT NULL AUTO_INCREMENT,
   VNr        INT,
   AbtNr      INT NOT NULL,
   Name       VARCHAR(30) NOT NULL,
   GebDat     DATE,
   Telefon    VARCHAR(30),
   PRIMARY KEY(MNr),
   FOREIGN KEY(VNr) REFERENCES Mitarbeiter(MNr),
   FOREIGN KEY(AbtNr) REFERENCES Abteilung(AbtNr)
);

CREATE TABLE PKW (
   PKWNr      INT NOT NULL AUTO_INCREMENT,
   AbtNr      INT NOT NULL,
   Kennzeichen VARCHAR(10) NOT NULL,
   Typ        VARCHAR(30),
   PRIMARY KEY(PKWNr),
   UNIQUE(Kennzeichen),
   FOREIGN KEY(AbtNr) REFERENCES Abteilung(AbtNr)
);

CREATE TABLE Fahrbuch (
   MNr        INT NOT NULL,
   PKWNr      INT NOT NULL,
   Datum      DATETIME NOT NULL,
   PRIMARY KEY (MNr,PKWNr,Datum),
   FOREIGN KEY(MNr) REFERENCES Mitarbeiter(MNr),
   FOREIGN KEY(PKWNr) REFERENCES PKW(PKWNr)
);

